Skip to main content
GET
/
item
/
get
Item - Get
curl --request GET \
  --url https://api.skulabs.com/item/get \
  --header 'Authorization: Bearer <token>'
[
  {
    "_id": "507f1f77bcf86cd799439011",
    "name": "<string>",
    "sku": "<string>",
    "image": "<string>",
    "upc": "<string>",
    "listings": [
      {
        "store_id": "507f1f77bcf86cd799439011",
        "item_id": "<string>",
        "variant_id": "<string>",
        "source_name": "<string>"
      }
    ],
    "supplies": [
      {
        "item_id": "<string>",
        "quantity": 123,
        "unit": "<string>",
        "deduction_method": "<string>"
      }
    ],
    "custom_fields": [
      {
        "field": "<string>",
        "value": "<string>"
      }
    ],
    "barcodes": [
      "<string>"
    ],
    "tags": [
      "507f1f77bcf86cd799439011",
      "507f1f77bcf86cd799439012"
    ],
    "length": 123,
    "width": 123,
    "height": 123,
    "weight_unit": "oz",
    "dimensions_unit": "in",
    "weight": 123,
    "notes": "<string>",
    "fulfillment_sku": "<string>",
    "unit": "<string>",
    "cost": 123,
    "wholesale": 123,
    "retail": 123,
    "active": true,
    "alias_locations": {}
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

selector
object
required

Query selector object for filtering results

limit
number

Max results to return

Example:

50

skip
number

Number of results to skip

Example:

0

sort
object

Sort fields object, e.g. { "name": 1 }

fields
object

Projection fields object, e.g. { "name": 1 }

Response

Array of items matching the query

_id
string
required

Unique item identifier

Example:

"507f1f77bcf86cd799439011"

name
string

Item name

sku
string

Stock keeping unit

image
string

Image URL

upc
string

Universal product code

listings
object[]

Store listing connections

supplies
object[]

Supply chain connections

custom_fields
object[]

Custom field key-value pairs

barcodes
string[]

Additional barcodes

tags
string[]

Array of tag IDs assigned to this item (ObjectId strings referencing the tag collection)

Example:
[
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439012"
]
length
number

Package length

width
number

Package width

height
number

Package height

weight_unit
enum<string>

Weight unit

Available options:
oz,
lb,
g,
kg
dimensions_unit
enum<string>

Dimensions unit

Available options:
in,
cm
weight
number

Package weight

notes
string

Item notes

fulfillment_sku
string

SKU used for fulfillment

unit
string

Unit of measure

cost
number

Item cost

wholesale
number

Wholesale price

retail
number

Retail price

active
boolean

Whether the item is active

alias_locations
object

Warehouse location assignments (keyed by warehouse ID)